cap log close
clear
*set memory 132000

 

*use "C:\res\newdata\crossec86\data\85crossMerged_13jun.dta", clear
use "C:\res\newdata\crossec86\program\prt\final\feb07\final_data_cross_feb07.dta", clear

cd c:\res\newdata\crossec86\

log using output\stata\FirstTest_short_tab2_final.smcl, replace

****this do file produces columns 1-3 in Table 2


gen party_frag = fragmentation/10000
gen district_gt = district_magnitude /seats




***column 1
reg party_frag avelf lpop col_uka  maj  district_gt  if pres==0 & coalition !=., robust  
outreg maj  district_gt  using output\stata\tables\Table6_1Size.doc, bdec(2) se nocons 3aster adjr2 replace



*****column 2  - IVreg for type of g
ivreg2 coalition avelf  lpop  col_uka    (party_frag= maj  district_gt) if pres==0, robust first
outreg party_frag using output\stata\tables\Table6_1Size.doc, bdec(2) se nocons 3aster adjr2 append


*******column 3

ivreg2 single avelf  lpop  col_uka    (party_frag= maj  district_gt) if pres==0, robust first
outreg party_frag using output\stata\tables\Table6_1Size.doc, bdec(2) se nocons 3aster adjr2 append





log close
